Subject: Re: [PATCH v2 0/3] Accommodate for pu having been renamed to seen

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Jun 2020 08:42:34 -0700

Denton Liu <[email-masked]> writes:

> Hi Dscho,
>
> On Wed, Jun 24, 2020 at 02:48:37PM +0000, Johannes Schindelin via GitGitGadget wrote:
>> Changes since v1:
>> 
>>  * Rebased onto master (no conflicts, so it is safe, and it is more robust
>>    than basing the patches on seen which already contains v1 of these
>>    patches).
>
> Out of curiosity, why would we ever want to base any patches on `seen`?

Never.  Even bulding on top of 'next' is discouraged.  

Either "prepare a merge on top of 'master' with all the topics in
flight that you depend on, and base your series on top of it,
risking that any one of these topics can take your series hostage"
or "wait until these topics graduate and then base your topic on
'master'".  I'd vastly prefer the latter, as it would become
cumbersome if one of the topics you base your series on gets
rerolled.